import {judgeType} from './utils/index';


/**
 * Former plug-in external param config
 * @param Vue
 * @param opts
 * @constructor
 */
export const ConfFormer = function (Vue, opts) {
  //default param
  let former = {
    sw: true,
    stageName: 'gcx-',
    lan: 'ZH'
  }
  //validate for param user config
  let confValidate = (obj, key) => {
    if (!obj.hasOwnProperty(key)) return false;
    const t = judgeType(obj[key])
    if (t === 'null' || t === 'undefined') return false;
    return true;
  }

  if (opts) {
    for (const key of Object.keys(opts)) {
      if (confValidate(opts, key)) {
        if (key === 'stageName') {
          former[key] = opts[key]
        }
        // if (key === 'lan') {
        //   former[key] = logger[key].concat(opts[key])
        // } else {
        //   former[key] = opts[key]
        // }
      }
      continue;
    }
  }

  Vue.prototype.$former = former
  Vue.former = former
}



