import {ConfFormer} from './config'
import {getStageName} from './rename'
//Basic
import Button from './components/Button/index'
import IconClass from './components/Icon/Icon-svg/index'
import IconSvg from './components/Icon/Icon-svg/index'

/* === Form 相关组件 === */
//表单 基础控件
import Input from './components/Input/index'

// import radio from './Form/radio.vue'
// import cascader from './Form/cascader.vue'
// import Switch from './Form/switch.vue'
// import slider from './Form/slider.vue'
// //date
// import timePicker from './Form/dateTime/time-picker.vue'
// import datePicker from './Form/dateTime/date-picker.vue'
// import onlyMMDDPicker from './Form/dateTime/only-MMDD-picker.vue'
// import timeInterval from './Form/dateTime/time-interval/time-interval.vue'
// //select
// import select from './Form/select/select.vue'
// import selectRemote from './Form/select/select-remote.vue'
// import areaLinkage from './Form/select/area-linkage/area-linkage.vue'
// import roleGroup from './Form/select/role-group/role-group.vue'
// import roleEmployee from './Form/select/role-employee/role-employee.vue'
// import customerInfoSingle from './Form/select/customer-info/customer-info-single/customer-info-single.vue'
// import customerInfoLinkage from './Form/select/customer-info/customer-info-linkage/customer-info-linkage.vue'
// //checkbox
// import checkbox from './Form/checkbox/checkbox.vue'
// import roleFnBtn from './Form/checkbox/roleFnBtn/roleFnBtn.vue'
// //transfer
// import authorizer from './Form/transfer/authorizer/authorizer.vue'
// //tree
// import organization from './Form/tree/organization/organization.vue'
// //other
// import text from './Form/text.vue'
// import avatar from './Form/avatar.vue'
// import separator from './separator/separator.vue'
// import autoFormBtn from './Form/auto-form-Button.vue'//分割线
// import baseTable from './Form/base-table.vue'
// //表单 - items 相关
// import autoFormOperation from './Form/auto-form/auto-form-operation/auto-form-operation.vue'
// import formItem from './Form/auto-form/auto-form-item/form-item.vue'
// import musterItem from './Form/auto-form/auto-form-item/muster-item.vue'
// import repeatItem from './Form/auto-form/auto-form-item/auto-muster-item.vue'
// import autoForm from './Form/auto-form/auto-form.vue'
// import form from './Form/auto-form/form.vue'
//
// //Upload
// import picUpload from './Upload/pic-upload.vue'
// import slotUpload from './Upload/slot-upload.vue'

const components = [

  //Baisc
  Button,
  IconClass,
  IconSvg,

  //Form
  Input,
  // text,
  // avatar,
  // radio,
  // //checkbox
  // checkbox,
  // roleFnBtn,
  // //transfer
  // authorizer,
  // //tree
  // organization,
  // //select
  // select,
  // selectRemote,
  // roleGroup,
  // roleEmployee,
  // customerInfoSingle,
  // customerInfoLinkage,
  // areaLinkage,
  //
  //
  // cascader,
  // Switch,
  // slider,
  // separator,
  // autoFormBtn,
  //
  //
  // //date
  // timePicker,
  // datePicker,
  // onlyMMDDPicker,
  // timeInterval,
  //
  // //Upload
  // picUpload,
  // slotUpload,
  //
  //
  // //item and all
  // autoFormOperation,
  // formItem,
  // musterItem,
  // repeatItem,
  // form,
  // autoForm,

]

const install = function (Vue, opts = {}) {
  //外置参数配置
  ConfFormer(Vue, opts);
  const $SN = Vue.former.stageName;
  Vue.prototype.$SN = $SN;//挂载stageName 名称
  components.map(component => {
    Vue.component(getStageName(component.name, $SN), component)
  })
}

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}


module.exports = {
  version: '1.0.1',
  install,
  //Baisc
  Button,
  IconClass,
  IconSvg,

  //Form
  Input,
}
module.exports.default = module.exports

