// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'


Vue.config.productionTip = false

//引入全局的element-ui
import './assets/css/element-ui/theme-default/index.css'
import './lib/assets/public.scss'//public css
import './assets/css/element-ui/theme-cover/base.scss'
import './assets/css/element-ui/theme-cover/data.scss'
import './assets/css/element-ui/theme-cover/form.scss'
import './assets/css/element-ui/theme-cover/navigation.scss'
import './assets/css/element-ui/theme-cover/notice.scss'
import './assets/css/element-ui/theme-cover/other.scss'
import elementUi from 'element-ui';
Vue.use(elementUi);

import vue_formercool_Cx from './lib/index.js';



Vue.use(vue_formercool_Cx, {stageName: 'test-'})

console.log('gaocangxiong')
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: {App},
  template: '<App/>'
})
